import * as bingo_stratum623 from "bingo-stratum";
import * as zod494 from "zod";

//#region src/presets/common.d.ts
declare const presetCommon: bingo_stratum623.Preset<{
  access: zod494.ZodUnion<[zod494.ZodLiteral<"public">, zod494.ZodLiteral<"restricted">]>;
  author: zod494.ZodOptional<zod494.ZodString>;
  bin: zod494.ZodOptional<zod494.ZodUnion<[zod494.ZodString, zod494.ZodRecord<zod494.ZodString, zod494.ZodString>]>>;
  contributors: zod494.ZodOptional<zod494.ZodArray<zod494.ZodObject<{
    avatar_url: zod494.ZodString;
    contributions: zod494.ZodArray<zod494.ZodString, "many">;
    login: zod494.ZodString;
    name: zod494.ZodString;
    profile: zod494.ZodString;
  }, "strip", zod494.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod494.ZodDefault<zod494.ZodString>;
  directory: zod494.ZodString;
  documentation: zod494.ZodObject<{
    development: zod494.ZodOptional<zod494.ZodString>;
    readme: zod494.ZodObject<{
      additional: zod494.ZodOptional<zod494.ZodString>;
      explainer: zod494.ZodOptional<zod494.ZodString>;
      footnotes: zod494.ZodOptional<zod494.ZodString>;
      usage: zod494.ZodOptional<zod494.ZodString>;
    }, "strip", zod494.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod494.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod494.ZodEffects<zod494.ZodUnion<[zod494.ZodString, zod494.ZodObject<{
    github: zod494.ZodString;
    npm: zod494.ZodString;
  }, "strip", zod494.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod494.ZodOptional<zod494.ZodString>;
  existingLabels: zod494.ZodOptional<zod494.ZodArray<zod494.ZodObject<{
    color: zod494.ZodString;
    description: zod494.ZodString;
    name: zod494.ZodString;
  }, "strip", zod494.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod494.ZodOptional<zod494.ZodString>;
  guide: zod494.ZodOptional<zod494.ZodObject<{
    href: zod494.ZodString;
    title: zod494.ZodString;
  }, "strip", zod494.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod494.ZodOptional<zod494.ZodArray<zod494.ZodString, "many">>;
  logo: zod494.ZodOptional<zod494.ZodObject<{
    alt: zod494.ZodString;
    height: zod494.ZodOptional<zod494.ZodNumber>;
    src: zod494.ZodString;
    width: zod494.ZodOptional<zod494.ZodNumber>;
  }, "strip", zod494.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod494.ZodObject<{
    minimum: zod494.ZodString;
    pinned: zod494.ZodOptional<zod494.ZodString>;
  }, "strip", zod494.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod494.ZodString;
  packageData: zod494.ZodOptional<zod494.ZodObject<{
    dependencies: zod494.ZodOptional<zod494.ZodRecord<zod494.ZodString, zod494.ZodString>>;
    devDependencies: zod494.ZodOptional<zod494.ZodRecord<zod494.ZodString, zod494.ZodString>>;
    peerDependencies: zod494.ZodOptional<zod494.ZodRecord<zod494.ZodString, zod494.ZodString>>;
    peerDependenciesMeta: zod494.ZodOptional<zod494.ZodRecord<zod494.ZodString, zod494.ZodUnknown>>;
    scripts: zod494.ZodOptional<zod494.ZodRecord<zod494.ZodString, zod494.ZodOptional<zod494.ZodString>>>;
  }, "strip", zod494.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod494.ZodOptional<zod494.ZodString>;
  repository: zod494.ZodString;
  rulesetId: zod494.ZodOptional<zod494.ZodString>;
  title: zod494.ZodString;
  type: zod494.ZodOptional<zod494.ZodUnion<[zod494.ZodLiteral<"commonjs">, zod494.ZodLiteral<"module">]>>;
  version: zod494.ZodOptional<zod494.ZodString>;
  words: zod494.ZodOptional<zod494.ZodArray<zod494.ZodString, "many">>;
  workflowsVersions: zod494.ZodOptional<zod494.ZodRecord<zod494.ZodString, zod494.ZodRecord<zod494.ZodString, zod494.ZodObject<{
    hash: zod494.ZodOptional<zod494.ZodString>;
    pinned: zod494.ZodOptional<zod494.ZodBoolean>;
  }, "strip", zod494.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=common.d.ts.map
//#endregion
export { presetCommon };
//# sourceMappingURL=common.d.ts.map