import * as bingo_stratum492 from "bingo-stratum";
import * as zod363 from "zod";

//#region src/presets/everything.d.ts
declare const presetEverything: bingo_stratum492.Preset<{
  access: zod363.ZodUnion<[zod363.ZodLiteral<"public">, zod363.ZodLiteral<"restricted">]>;
  author: zod363.ZodOptional<zod363.ZodString>;
  bin: zod363.ZodOptional<zod363.ZodUnion<[zod363.ZodString, zod363.ZodRecord<zod363.ZodString, zod363.ZodString>]>>;
  contributors: zod363.ZodOptional<zod363.ZodArray<zod363.ZodObject<{
    avatar_url: zod363.ZodString;
    contributions: zod363.ZodArray<zod363.ZodString, "many">;
    login: zod363.ZodString;
    name: zod363.ZodString;
    profile: zod363.ZodString;
  }, "strip", zod363.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod363.ZodDefault<zod363.ZodString>;
  directory: zod363.ZodString;
  documentation: zod363.ZodObject<{
    development: zod363.ZodOptional<zod363.ZodString>;
    readme: zod363.ZodObject<{
      additional: zod363.ZodOptional<zod363.ZodString>;
      explainer: zod363.ZodOptional<zod363.ZodString>;
      footnotes: zod363.ZodOptional<zod363.ZodString>;
      usage: zod363.ZodOptional<zod363.ZodString>;
    }, "strip", zod363.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod363.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod363.ZodEffects<zod363.ZodUnion<[zod363.ZodString, zod363.ZodObject<{
    github: zod363.ZodString;
    npm: zod363.ZodString;
  }, "strip", zod363.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod363.ZodOptional<zod363.ZodString>;
  existingLabels: zod363.ZodOptional<zod363.ZodArray<zod363.ZodObject<{
    color: zod363.ZodString;
    description: zod363.ZodString;
    name: zod363.ZodString;
  }, "strip", zod363.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod363.ZodOptional<zod363.ZodString>;
  guide: zod363.ZodOptional<zod363.ZodObject<{
    href: zod363.ZodString;
    title: zod363.ZodString;
  }, "strip", zod363.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod363.ZodOptional<zod363.ZodArray<zod363.ZodString, "many">>;
  logo: zod363.ZodOptional<zod363.ZodObject<{
    alt: zod363.ZodString;
    height: zod363.ZodOptional<zod363.ZodNumber>;
    src: zod363.ZodString;
    width: zod363.ZodOptional<zod363.ZodNumber>;
  }, "strip", zod363.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod363.ZodObject<{
    minimum: zod363.ZodString;
    pinned: zod363.ZodOptional<zod363.ZodString>;
  }, "strip", zod363.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod363.ZodString;
  packageData: zod363.ZodOptional<zod363.ZodObject<{
    dependencies: zod363.ZodOptional<zod363.ZodRecord<zod363.ZodString, zod363.ZodString>>;
    devDependencies: zod363.ZodOptional<zod363.ZodRecord<zod363.ZodString, zod363.ZodString>>;
    peerDependencies: zod363.ZodOptional<zod363.ZodRecord<zod363.ZodString, zod363.ZodString>>;
    peerDependenciesMeta: zod363.ZodOptional<zod363.ZodRecord<zod363.ZodString, zod363.ZodUnknown>>;
    scripts: zod363.ZodOptional<zod363.ZodRecord<zod363.ZodString, zod363.ZodOptional<zod363.ZodString>>>;
  }, "strip", zod363.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod363.ZodOptional<zod363.ZodString>;
  repository: zod363.ZodString;
  rulesetId: zod363.ZodOptional<zod363.ZodString>;
  title: zod363.ZodString;
  type: zod363.ZodOptional<zod363.ZodUnion<[zod363.ZodLiteral<"commonjs">, zod363.ZodLiteral<"module">]>>;
  version: zod363.ZodOptional<zod363.ZodString>;
  words: zod363.ZodOptional<zod363.ZodArray<zod363.ZodString, "many">>;
  workflowsVersions: zod363.ZodOptional<zod363.ZodRecord<zod363.ZodString, zod363.ZodRecord<zod363.ZodString, zod363.ZodObject<{
    hash: zod363.ZodOptional<zod363.ZodString>;
    pinned: zod363.ZodOptional<zod363.ZodBoolean>;
  }, "strip", zod363.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=everything.d.ts.map
//#endregion
export { presetEverything };
//# sourceMappingURL=everything.d.ts.map