import * as bingo_stratum1145 from "bingo-stratum";
import * as zod1016 from "zod";

//#region src/presets/minimal.d.ts
declare const presetMinimal: bingo_stratum1145.Preset<{
  access: zod1016.ZodUnion<[zod1016.ZodLiteral<"public">, zod1016.ZodLiteral<"restricted">]>;
  author: zod1016.ZodOptional<zod1016.ZodString>;
  bin: zod1016.ZodOptional<zod1016.ZodUnion<[zod1016.ZodString, zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodString>]>>;
  contributors: zod1016.ZodOptional<zod1016.ZodArray<zod1016.ZodObject<{
    avatar_url: zod1016.ZodString;
    contributions: zod1016.ZodArray<zod1016.ZodString, "many">;
    login: zod1016.ZodString;
    name: zod1016.ZodString;
    profile: zod1016.ZodString;
  }, "strip", zod1016.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod1016.ZodDefault<zod1016.ZodString>;
  directory: zod1016.ZodString;
  documentation: zod1016.ZodObject<{
    development: zod1016.ZodOptional<zod1016.ZodString>;
    readme: zod1016.ZodObject<{
      additional: zod1016.ZodOptional<zod1016.ZodString>;
      explainer: zod1016.ZodOptional<zod1016.ZodString>;
      footnotes: zod1016.ZodOptional<zod1016.ZodString>;
      usage: zod1016.ZodOptional<zod1016.ZodString>;
    }, "strip", zod1016.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod1016.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod1016.ZodEffects<zod1016.ZodUnion<[zod1016.ZodString, zod1016.ZodObject<{
    github: zod1016.ZodString;
    npm: zod1016.ZodString;
  }, "strip", zod1016.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod1016.ZodOptional<zod1016.ZodString>;
  existingLabels: zod1016.ZodOptional<zod1016.ZodArray<zod1016.ZodObject<{
    color: zod1016.ZodString;
    description: zod1016.ZodString;
    name: zod1016.ZodString;
  }, "strip", zod1016.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod1016.ZodOptional<zod1016.ZodString>;
  guide: zod1016.ZodOptional<zod1016.ZodObject<{
    href: zod1016.ZodString;
    title: zod1016.ZodString;
  }, "strip", zod1016.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod1016.ZodOptional<zod1016.ZodArray<zod1016.ZodString, "many">>;
  logo: zod1016.ZodOptional<zod1016.ZodObject<{
    alt: zod1016.ZodString;
    height: zod1016.ZodOptional<zod1016.ZodNumber>;
    src: zod1016.ZodString;
    width: zod1016.ZodOptional<zod1016.ZodNumber>;
  }, "strip", zod1016.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod1016.ZodObject<{
    minimum: zod1016.ZodString;
    pinned: zod1016.ZodOptional<zod1016.ZodString>;
  }, "strip", zod1016.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod1016.ZodString;
  packageData: zod1016.ZodOptional<zod1016.ZodObject<{
    dependencies: zod1016.ZodOptional<zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodString>>;
    devDependencies: zod1016.ZodOptional<zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodString>>;
    peerDependencies: zod1016.ZodOptional<zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodString>>;
    peerDependenciesMeta: zod1016.ZodOptional<zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodUnknown>>;
    scripts: zod1016.ZodOptional<zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodOptional<zod1016.ZodString>>>;
  }, "strip", zod1016.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod1016.ZodOptional<zod1016.ZodString>;
  repository: zod1016.ZodString;
  rulesetId: zod1016.ZodOptional<zod1016.ZodString>;
  title: zod1016.ZodString;
  type: zod1016.ZodOptional<zod1016.ZodUnion<[zod1016.ZodLiteral<"commonjs">, zod1016.ZodLiteral<"module">]>>;
  version: zod1016.ZodOptional<zod1016.ZodString>;
  words: zod1016.ZodOptional<zod1016.ZodArray<zod1016.ZodString, "many">>;
  workflowsVersions: zod1016.ZodOptional<zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodRecord<zod1016.ZodString, zod1016.ZodObject<{
    hash: zod1016.ZodOptional<zod1016.ZodString>;
    pinned: zod1016.ZodOptional<zod1016.ZodBoolean>;
  }, "strip", zod1016.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=minimal.d.ts.map
//#endregion
export { presetMinimal };
//# sourceMappingURL=minimal.d.ts.map