import * as zod132 from "zod";
import * as bingo_stratum_lib_types_templates_js261 from "bingo-stratum/lib/types/templates.js";

//#region src/template.d.ts
declare const template: bingo_stratum_lib_types_templates_js261.StratumTemplate<{
  access: zod132.ZodUnion<[zod132.ZodLiteral<"public">, zod132.ZodLiteral<"restricted">]>;
  author: zod132.ZodOptional<zod132.ZodString>;
  bin: zod132.ZodOptional<zod132.ZodUnion<[zod132.ZodString, zod132.ZodRecord<zod132.ZodString, zod132.ZodString>]>>;
  contributors: zod132.ZodOptional<zod132.ZodArray<zod132.ZodObject<{
    avatar_url: zod132.ZodString;
    contributions: zod132.ZodArray<zod132.ZodString, "many">;
    login: zod132.ZodString;
    name: zod132.ZodString;
    profile: zod132.ZodString;
  }, "strip", zod132.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod132.ZodDefault<zod132.ZodString>;
  directory: zod132.ZodString;
  documentation: zod132.ZodObject<{
    development: zod132.ZodOptional<zod132.ZodString>;
    readme: zod132.ZodObject<{
      additional: zod132.ZodOptional<zod132.ZodString>;
      explainer: zod132.ZodOptional<zod132.ZodString>;
      footnotes: zod132.ZodOptional<zod132.ZodString>;
      usage: zod132.ZodOptional<zod132.ZodString>;
    }, "strip", zod132.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod132.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod132.ZodEffects<zod132.ZodUnion<[zod132.ZodString, zod132.ZodObject<{
    github: zod132.ZodString;
    npm: zod132.ZodString;
  }, "strip", zod132.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod132.ZodOptional<zod132.ZodString>;
  existingLabels: zod132.ZodOptional<zod132.ZodArray<zod132.ZodObject<{
    color: zod132.ZodString;
    description: zod132.ZodString;
    name: zod132.ZodString;
  }, "strip", zod132.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod132.ZodOptional<zod132.ZodString>;
  guide: zod132.ZodOptional<zod132.ZodObject<{
    href: zod132.ZodString;
    title: zod132.ZodString;
  }, "strip", zod132.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod132.ZodOptional<zod132.ZodArray<zod132.ZodString, "many">>;
  logo: zod132.ZodOptional<zod132.ZodObject<{
    alt: zod132.ZodString;
    height: zod132.ZodOptional<zod132.ZodNumber>;
    src: zod132.ZodString;
    width: zod132.ZodOptional<zod132.ZodNumber>;
  }, "strip", zod132.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod132.ZodObject<{
    minimum: zod132.ZodString;
    pinned: zod132.ZodOptional<zod132.ZodString>;
  }, "strip", zod132.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod132.ZodString;
  packageData: zod132.ZodOptional<zod132.ZodObject<{
    dependencies: zod132.ZodOptional<zod132.ZodRecord<zod132.ZodString, zod132.ZodString>>;
    devDependencies: zod132.ZodOptional<zod132.ZodRecord<zod132.ZodString, zod132.ZodString>>;
    peerDependencies: zod132.ZodOptional<zod132.ZodRecord<zod132.ZodString, zod132.ZodString>>;
    peerDependenciesMeta: zod132.ZodOptional<zod132.ZodRecord<zod132.ZodString, zod132.ZodUnknown>>;
    scripts: zod132.ZodOptional<zod132.ZodRecord<zod132.ZodString, zod132.ZodOptional<zod132.ZodString>>>;
  }, "strip", zod132.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod132.ZodOptional<zod132.ZodString>;
  repository: zod132.ZodString;
  rulesetId: zod132.ZodOptional<zod132.ZodString>;
  title: zod132.ZodString;
  type: zod132.ZodOptional<zod132.ZodUnion<[zod132.ZodLiteral<"commonjs">, zod132.ZodLiteral<"module">]>>;
  version: zod132.ZodOptional<zod132.ZodString>;
  words: zod132.ZodOptional<zod132.ZodArray<zod132.ZodString, "many">>;
  workflowsVersions: zod132.ZodOptional<zod132.ZodRecord<zod132.ZodString, zod132.ZodRecord<zod132.ZodString, zod132.ZodObject<{
    hash: zod132.ZodOptional<zod132.ZodString>;
    pinned: zod132.ZodOptional<zod132.ZodBoolean>;
  }, "strip", zod132.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=template.d.ts.map
//#endregion
export { template };
//# sourceMappingURL=template.d.ts.map